<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:c="http://java.sun.com/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="resultGui" value="#{validationResultBeanGui}"/>-->
    <!--
    <c:forEach items="#{extensionGuiManager.extensions}" var="extensionClass">
            <ui:decorate template="/common/_extensionTab.xhtml">
                <ui:param name="gui" value="#{extensionGuiManager.getExtensionGui(extensionClass)}"/>
                <ui:param name="validation" value="#{validation}"/>
            </ui:decorate>
    </c:forEach>
    -->
    <s:div id="extensionsInfoPanel">

        <!-- FIXME: Scored is not considered as a validation, to ve reviewed        -->
<!--        <s:div rendered="#{scorecardExtensionGui.isExtensionAvailable(validation) and scorecardExtensionGui.isExtensionExists()}">-->
<!--            <ui:decorate template="/common/_extensionInfos.xhtml">-->
<!--                <ui:param name="reporter" value="#{scorecardExtensionGui.reporter}"/>-->
<!--                <ui:param name="validationDateTitle" value="Scorecard validation date"/>-->
<!--                <ui:param name="validationResultTitle" value="Scorecard validation result"/>-->
<!--            </ui:decorate>-->
<!--        </s:div>-->

        <s:div rendered="#{dsigExtensionGui.isExtensionAvailable(validation) and dsigExtensionGui.isExtensionExists()}">
            <ui:decorate template="/common/_extensionInfos.xhtml">
                <ui:param name="reporter" value="#{dsigExtensionGui.reporter}"/>
                <ui:param name="validationDateTitle" value="#{messages['net.ihe.gazelle.evs.DigitalSignatureValidationDate']}"/>
                <ui:param name="validationResultTitle" value="#{messages['net.ihe.gazelle.evs.DigitalSignatureValidationResult']}"/>
            </ui:decorate>
        </s:div>
    </s:div>



</ui:composition>